<?php
/**
	* @copyright Copyright (C) 2007 JoomlaShine.com
	* @author JoomlaShine.com
	* @license Creative Commons Attribution-Share Alike 3.0 Unported License
	* Please visit http://www.joomlashine.com for more information
*/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php echo _LANGUAGE; ?>" xml:lang="<?php echo _LANGUAGE; ?>">
<head>
<meta http-equiv="Content-Type" content="text/html; <?php echo _ISO; ?>" />
<?php
	if ( $my->id ) {
		initEditor();
	}
	mosShowHead();

	require($mosConfig_absolute_path."/templates/" . $mainframe->getTemplate() . "/php/jsn_utils.php");

	/* PUBLIC PARAMETERS */
	$logo_path = "/images/logo.png";
	$logo_width = 200;
	$logo_height = 75;
	$slogan_text = '';
	$template_width = 960;
	$header_width = 730;

	/* PRIVATE PARAMETERS */
	$template_path = $mosConfig_live_site."/templates/".$mainframe->getTemplate();
	$has_right = mosCountModules('right');
	$has_left = mosCountModules('left');
	$left_width = 24;
	$right_width = 24;
	$main_width = 100;
	
	$logo_image = $template_path.$logo_path;
	$logo_text = $mosConfig_sitename.($slogan_text != ''?' - '.$slogan_text:'');
?>
<link href="<?php echo $template_path; ?>/css/template_css.css" rel="stylesheet" type="text/css" media="screen" />
<link href="<?php echo $template_path; ?>/css/jsn_layout.css" rel="stylesheet" type="text/css" media="screen" />
<link href="<?php echo $template_path; ?>/css/jsn_typography.css" rel="stylesheet" type="text/css" media="screen" />
<link href="<?php echo $template_path; ?>/css/jsn_style.css" rel="stylesheet" type="text/css" media="screen" />
<link href="<?php echo $template_path; ?>/ext/extmenu/suckerfish/css/suckerfish.css" rel="stylesheet" type="text/css" media="screen" />
<link href="<?php echo $template_path; ?>/ext/extmenu/bullettree/css/bullettree.css" rel="stylesheet" type="text/css" media="screen" />
<link href="<?php echo $template_path; ?>/ext/extmenu/divbar/css/divbar.css" rel="stylesheet" type="text/css" media="screen" />
<style type="text/css">
	#jsn-logo a {
		background-image: url(<?php echo $logo_image;?>);
		width: <?php echo $logo_width; ?>px;
		height: <?php echo $logo_height; ?>px;
	}
	#jsn-header, #jsn-body, #jsn-footer {
		width: <?php echo $template_width; ?>px;
	}
	#jsn-header {
		height: <?php echo $logo_height; ?>px;
	}
	#jsn-pheader_grid2 {
		width: <?php echo $header_width; ?>px;
	}
	#jsn-puser8_grid2 {
		width: <?php echo ($template_width - $header_width); ?>px;
	}

	<?php
	if ($has_left) {
		$main_width -= $left_width;
		echo '
	#jsn-content_inner1 {
		background: transparent url('.$template_path.'/images/leftside-bg-full.png) repeat-y '.$left_width.'% top;
		padding: 0;
	}
	#jsn-maincontent_inner {
		padding-left: 0;
	}
	#jsn-leftsidecontent {
		float: left;
		width: '.$left_width.'%;
	}
	#jsn-maincontent {
		float: left;
		width: '.$main_width.'%;
	}
	';
	}
	
	if ($has_right) {
		$main_width -= $right_width;
		echo '
	#jsn-content_inner2 {
		background: transparent url('.$template_path.'/images/rightside-bg-full.png) repeat-y '.(100-$right_width).'% top;
		padding: 0;
	}
	#jsn-maincontent_inner {
		padding-right: 0;
	}
	#jsn-maincontent {
		width: '.$main_width.'%;
		float: left;
	}
	#jsn-rightsidecontent {
		float: right;
		width: '.$right_width.'%;
	}
	';
	}
	?>
</style>
<!--[if lte IE 6]>
<link href="<?php echo $template_path; ?>/css/jsn_fixie6.css" rel="stylesheet" type="text/css" />
<style type="text/css">
	img {  behavior: url(<?php echo $template_path;?>/js/iepngfix.htc); }
</style>
<![endif]-->
<!--[if lte IE 7]>
<script type="text/javascript" src="<?php echo $template_path; ?>/ext/extmenu/suckerfish/js/suckerfish.js"></script>
<![endif]-->
<!--[if IE 7]>
<link href="<?php echo $template_path; ?>/css/jsn_fixie7.css" rel="stylesheet" type="text/css" />
<![endif]-->
</head>
<body id="jsn-master">
	<div id="jsn-page">
		<div id="jsn-header_wrapper"><div id="jsn-header">
			<h1 id="jsn-logo"><a href="<?php echo $mosConfig_live_site; ?>/index.php" title="<?php echo $logo_text; ?>"><?php echo $logo_text; ?></a></h1>
			<?php if (mosCountModules( 'top' ) > 0) { ?>
			<div id="jsn-ptop"><?php mosLoadModules('top', -2); ?></div>
			<?php } ?>
		</div></div>
		<div id="jsn-body_wrapper"><div id="jsn-body">
			<?php if (jsnCountPositions(array('toolbar', 'inset'))) { ?>
			<div id="jsn-mainmenu">
				<?php if (mosCountModules( 'toolbar' ) > 0) { ?>
				<div id="jsn-ptoolbar"><?php mosLoadModules('toolbar', -2); ?></div>
				<?php } ?>
				<?php if (mosCountModules( 'inset' ) > 0) { ?>
				<div id="jsn-pinset"><?php mosLoadModules('inset', -2); ?></div>
				<?php } ?>
			</div>
			<?php } ?>
			<?php
				$positionCount = jsnCountPositions(array('header', 'user8'));
				if($positionCount){
					$grid_suffix = "_grid".$positionCount;
			?>
			<div id="jsn-promo">
				<?php if (mosCountModules( 'header' ) > 0) { ?>
				<div id="jsn-pheader<?php echo $grid_suffix; ?>" class="jsn-column"><div id="jsn-pheader"><?php mosLoadModules('header', -2); ?></div></div>
				<?php } ?>
				<?php if (mosCountModules( 'user8' ) > 0) { ?>
				<div id="jsn-puser8<?php echo $grid_suffix; ?>" class="jsn-column"><div id="jsn-puser8"><?php mosLoadModules('user8', -2); ?></div></div>
				<?php } ?>
				<div class="clearbreak"></div>
			</div>
			<?php } ?>
			<div id="jsn-content"><div id="jsn-content_inner1"><div id="jsn-content_inner2">
				<?php if (mosCountModules( 'left' ) > 0) { ?>
				<div id="jsn-leftsidecontent" class="jsn-column">
					<div id="jsn-pleft"><?php mosLoadModules('left', -3); ?></div>
				</div>
				<?php } ?>
				<div id="jsn-maincontent" class="jsn-column"><div id="jsn-maincontent_inner">
					<div id="jsn-pathway"><?php mosPathWay(); ?></div>
					<?php
						$positionCount = jsnCountPositions(array('user1', 'user2'));
						if($positionCount){
							$grid_suffix = "_grid".$positionCount;
					?>
					<div id="jsn-usermodules1"><div id="jsn-usermodules1_inner<?php echo $grid_suffix; ?>">
						<?php if (mosCountModules( 'user1' ) > 0) { ?>
						<div id="jsn-puser1<?php echo $grid_suffix; ?>" class="jsn-column"><div id="jsn-puser1"><?php mosLoadModules('user1', -2); ?></div></div>
						<?php } ?>
						<?php if (mosCountModules( 'user2' ) > 0) { ?>
						<div id="jsn-puser2<?php echo $grid_suffix; ?>" class="jsn-column"><div id="jsn-puser2"><?php mosLoadModules('user2', -2); ?></div></div>
						<?php } ?>
						<div class="clearbreak"></div>
					</div></div>
					<?php } ?>
					<div id="jsn-mainbody"><?php mosMainBody(); ?></div>
					<?php
					$positionCount = jsnCountPositions(array('user3', 'user4'));
					if($positionCount){
						$grid_suffix = "_grid".$positionCount;
					?>
					<div id="jsn-usermodules2"><div id="jsn-usermodules2_inner<?php echo $grid_suffix; ?>">
						<?php if (mosCountModules( 'user3' ) > 0) { ?>
						<div id="jsn-puser3<?php echo $grid_suffix; ?>" class="jsn-column"><div id="jsn-puser3"><?php mosLoadModules('user3', -2); ?></div></div>
						<?php } ?>
						<?php if (mosCountModules( 'user4' ) > 0) { ?>
						<div id="jsn-puser4<?php echo $grid_suffix; ?>" class="jsn-column"><div id="jsn-puser4"><?php mosLoadModules('user4', -2); ?></div></div>
						<?php } ?>
						<div class="clearbreak"></div>
					</div></div>
					<?php } ?>
					<?php if (mosCountModules( 'banner' ) > 0) { ?>
					<div id="jsn-banner"><?php mosLoadModules('banner', -2); ?></div>
					<?php } ?>
				</div></div>
				<?php if (mosCountModules( 'right' ) > 0) { ?>
				<div id="jsn-rightsidecontent" class="jsn-column">
					<div id="jsn-pright"><?php mosLoadModules('right', -3); ?></div>
				</div>
				<?php } ?>
				<div class="clearbreak"></div>
			</div></div></div>
			<?php
			$positionCount = jsnCountPositions(array('user5', 'user6', 'user7'));
			if($positionCount){
				$grid_suffix = "_grid".$positionCount;
			?>
			<div id="jsn-usermodules3"><div id="jsn-usermodules3_inner<?php echo $grid_suffix; ?>">
				<?php if (mosCountModules( 'user5' ) > 0) { ?>
				<div id="jsn-puser5<?php echo $grid_suffix; ?>" class="jsn-column"><div id="jsn-puser5"><?php mosLoadModules('user5', -2); ?></div></div>
				<?php } ?>
				<?php if (mosCountModules( 'user6' ) > 0) { ?>
				<div id="jsn-puser6<?php echo $grid_suffix; ?>" class="jsn-column"><div id="jsn-puser6"><?php mosLoadModules('user6', -2); ?></div></div>
				<?php } ?>
				<?php if (mosCountModules( 'user7' ) > 0) { ?>
				<div id="jsn-puser7<?php echo $grid_suffix; ?>" class="jsn-column"><div id="jsn-puser7"><?php mosLoadModules('user7', -2); ?></div></div>
				<?php } ?>
				<div class="clearbreak"></div>
			</div></div>
			<?php } ?>
		</div></div>
		<div id="jsn-footer_wrapper"><div id="jsn-footer">
			<div id="jsn-pfooter_grid2" class="jsn-column"><div id="jsn-pfooter"><?php mosLoadModules('footer', -2); ?>Design by <a href="http://www.joomlashine.com" target="_blank" title="Free Joomla Templates">JoomlaShine.com</a></div></div>
			<div id="jsn-pbottom_grid2" class="jsn-column"><div id="jsn-pbottom"><?php mosLoadModules('bottom', -2); ?></div></div>
			<div class="clearbreak"></div>
		</div></div>
	</div>
	<?php include($mosConfig_absolute_path."/templates/".$mainframe->getTemplate()."/php/jsn_debug.php"); ?>
</body>
</html>