-- phpMyAdmin SQL Dump
-- version 2.10.1
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Generation Time: Nov 12, 2007 at 12:24 PM
-- Server version: 5.0.41
-- PHP Version: 5.2.2

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

-- 
-- Database: `sdesk`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `canned`
-- 

CREATE TABLE IF NOT EXISTS `canned` (
  `sid` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  `creator_id` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `date1` datetime NOT NULL default 0,
  `cat` varchar(100) character set utf8 collate utf8_unicode_ci NOT NULL default '',
  `title` varchar(200) character set utf8 collate utf8_unicode_ci NOT NULL default '',
  `reply` text character set utf8 collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`sid`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `cfg`
-- 

CREATE TABLE IF NOT EXISTS `cfg` (
  `def_site` int(11) NOT NULL default 0
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `chat`
-- 

CREATE TABLE IF NOT EXISTS `chat` (
  `id` int(11) NOT NULL auto_increment,
  `tt` datetime NOT NULL default 0,
  `caller_ip` varchar(20) collate utf8_unicode_ci NOT NULL default '',
  `support_id` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `sid` int(11) NOT NULL default 0,
  `status` varchar(10) collate utf8_unicode_ci NOT NULL default '',
  `client_typing` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `caller_nick` varchar(30) collate utf8_unicode_ci NOT NULL default '',
  `subject` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `referrer` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `page` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `last_tt` datetime NOT NULL default 0,
  `track_id` int(11) NOT NULL default 0,
  PRIMARY KEY  (`id`,`sid`),
  KEY `track_id` (`track_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=118 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `chat_log`
-- 

CREATE TABLE IF NOT EXISTS `chat_log` (
  `id` int(11) NOT NULL default 0,
  `seq` int(11) NOT NULL auto_increment,
  `message` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `nick` varchar(30) collate utf8_unicode_ci NOT NULL default '',
  `color` varchar(15) collate utf8_unicode_ci NOT NULL default '',
  `tt` datetime NOT NULL default 0,
  PRIMARY KEY  (`id`,`seq`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `chat_online`
-- 

CREATE TABLE IF NOT EXISTS `chat_online` (
  `sid` int(11) NOT NULL default 0,
  `uid` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `tt` datetime NOT NULL default 0,
  `status` varchar(10) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`sid`,`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `comm`
-- 

CREATE TABLE IF NOT EXISTS `comm` (
  `sid` int(11) NOT NULL default 0,
  `kid` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  `uid` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `date1` datetime NOT NULL default 0,
  `comment` text collate utf8_unicode_ci NOT NULL default '',
  `approved` int(11) NOT NULL default 0,
  `type` int(11) NOT NULL default 0,
  PRIMARY KEY  (`sid`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `dl`
-- 

CREATE TABLE IF NOT EXISTS `dl` (
  `sid` int(11) NOT NULL default 0,
  `cid` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  `title` text collate utf8_unicode_ci NOT NULL default '',
  `fname` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `date1` date NOT NULL default 0,
  `active` int(11) NOT NULL default 0,
  `rating` double NOT NULL default 0,
  `rate_count` int(11) NOT NULL default 0,
  `views` int(11) NOT NULL default 0,
  `desc1` text collate utf8_unicode_ci NOT NULL default '',
  `size1` bigint(20) NOT NULL default 0,
  `pid` int(11) NOT NULL default 0,
  `creator_id` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `cat` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `keywords` text collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`sid`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `dl_cat`
-- 

CREATE TABLE IF NOT EXISTS `dl_cat` (
  `sid` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `seq` int(11) NOT NULL default 0,
  `desc1` text collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`sid`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `dl_prod`
-- 

CREATE TABLE IF NOT EXISTS `dl_prod` (
  `sid` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `pub` int(11) NOT NULL default 0,
  `desc1` text collate utf8_unicode_ci NOT NULL default '',
  `icon` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`sid`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `dl_prod_org`
-- 

CREATE TABLE IF NOT EXISTS `dl_prod_org` (
  `sid` int(11) NOT NULL default 0,
  `pid` int(11) NOT NULL default 0,
  `org` int(11) NOT NULL default 0,
  PRIMARY KEY  (`sid`,`pid`,`org`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `email`
-- 

CREATE TABLE IF NOT EXISTS `email` (
  `sid` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  `addr` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `srv` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `usr` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `pwd` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `priority` int(11) NOT NULL default 0,
  `assign_to` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`sid`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `fr`
-- 

CREATE TABLE IF NOT EXISTS `fr` (
  `sid` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  `cid` int(11) NOT NULL default 0,
  `title` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `msg` text collate utf8_unicode_ci NOT NULL default '',
  `tid` int(11) NOT NULL default 0,
  `poster_id` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `date1` datetime NOT NULL default 0,
  `ip_addr` varchar(30) collate utf8_unicode_ci NOT NULL default '',
  `date2` datetime NOT NULL default 0,
  `last_poster` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `view_cnt` int(11) NOT NULL default 0,
  `fn1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`sid`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;
-- --------------------------------------------------------

-- 
-- Table structure for table `fr_cat`
-- 

CREATE TABLE IF NOT EXISTS `fr_cat` (
  `sid` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) character set utf8 collate utf8_unicode_ci NOT NULL default '',
  `seq` int(11) NOT NULL default 0,
  `desc1` text collate utf8_unicode_ci NOT NULL default '',
  `pub` int(11) NOT NULL default 0,
  `parent_id` int(11) NOT NULL default 0,
  `icon` varchar(100) character set utf8 collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`sid`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `fr_cat_org`
-- 

CREATE TABLE IF NOT EXISTS `fr_cat_org` (
  `sid` int(11) NOT NULL default 0,
  `pid` int(11) NOT NULL default 0,
  `org` int(11) NOT NULL default 0,
  PRIMARY KEY  (`sid`,`pid`,`org`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `gl`
-- 

CREATE TABLE IF NOT EXISTS `gl` (
  `sid` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  `w` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `def1` text collate utf8_unicode_ci NOT NULL default '',
  `a1` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `a2` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `a3` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`sid`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `ip2c`
-- 

CREATE TABLE IF NOT EXISTS `ip2c` (
  `ip_from` bigint(20) NOT NULL default 0,
  `ip_to` bigint(20) NOT NULL default 0,
  `country_code1` varchar(3) collate utf8_unicode_ci NOT NULL default '',
  `country_code2` varchar(30) collate utf8_unicode_ci NOT NULL default '',
  `country_name` varchar(30) collate utf8_unicode_ci NOT NULL default '',
  KEY `ip_to` (`ip_to`),
  KEY `ip_from` (`ip_from`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `kb`
-- 

CREATE TABLE IF NOT EXISTS `kb` (
  `sid` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  `title` text collate utf8_unicode_ci NOT NULL default '',
  `article` text collate utf8_unicode_ci NOT NULL default '',
  `date1` date NOT NULL default 0,
  `active` int(11) NOT NULL default 0,
  `rating` double NOT NULL default 0,
  `rate_count` int(11) NOT NULL default 0,
  `views` int(11) NOT NULL default 0,
  `cid` int(11) NOT NULL default 0,
  `pid` int(11) NOT NULL default 0,
  `keywords` text character set utf8 collate utf8_unicode_ci NOT NULL default '',
  `icon` varchar(100) character set utf8 collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`sid`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `kb_cat`
-- 

CREATE TABLE IF NOT EXISTS `kb_cat` (
  `sid` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) character set utf8 collate utf8_unicode_ci NOT NULL default '',
  `seq` int(11) NOT NULL default 0,
  `desc1` text collate utf8_unicode_ci NOT NULL default '',
  `pub` int(11) NOT NULL default 0,
  `icon` varchar(100) character set utf8 collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`sid`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `kb_cat_org`
-- 

CREATE TABLE IF NOT EXISTS `kb_cat_org` (
  `sid` int(11) NOT NULL default 0,
  `pid` int(11) NOT NULL default 0,
  `org` int(11) NOT NULL default 0,
  PRIMARY KEY  (`sid`,`pid`,`org`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `log`
-- 

CREATE TABLE IF NOT EXISTS `log` (
  `sid` int(11) NOT NULL default 0,
  `tt` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `uid` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `dl_id` int(11) NOT NULL default 0,
  `ip_addr` varchar(20) collate utf8_unicode_ci NOT NULL default '',
  `type` int(11) NOT NULL default 0,
  `desc1` text collate utf8_unicode_ci NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `logins`
-- 

CREATE TABLE IF NOT EXISTS `logins` (
  `sid` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  `uid` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `ip_addr` varchar(30) collate utf8_unicode_ci NOT NULL default '',
  `tt` datetime NOT NULL default 0,
  `tt2` datetime NOT NULL default 0,
  PRIMARY KEY  (`sid`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `ml`
-- 

CREATE TABLE IF NOT EXISTS `ml` (
  `sid` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `pub` int(11) NOT NULL default 0,
  PRIMARY KEY  (`sid`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `ml_usr`
-- 

CREATE TABLE IF NOT EXISTS `ml_usr` (
  `sid` int(11) NOT NULL default 0,
  `m_id` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `addr` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`sid`,`m_id`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `notifications`
-- 

CREATE TABLE IF NOT EXISTS `notifications` (
  `sid` int(11) NOT NULL default 0,
  `uid_from` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `uid_to` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `tt` datetime NOT NULL default 0,
  `txt` text collate utf8_unicode_ci NOT NULL default '',
  `active` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`sid`,`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=82 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `nw`
-- 

CREATE TABLE IF NOT EXISTS `nw` (
  `sid` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  `title` text collate utf8_unicode_ci NOT NULL default '',
  `article` text collate utf8_unicode_ci NOT NULL default '',
  `date1` datetime NOT NULL default 0,
  `active` int(11) NOT NULL default 0,
  `rating` double NOT NULL default 0,
  `rate_count` int(11) NOT NULL default 0,
  `views` int(11) NOT NULL default 0,
  `creator_id` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`sid`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `nw_avail`
-- 

CREATE TABLE IF NOT EXISTS `nw_avail` (
  `sid` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL default 0,
  `org` int(11) NOT NULL default 0,
  `m` int(11) NOT NULL default 0,
  `u` int(11) NOT NULL default 0,
  PRIMARY KEY  (`sid`,`id`,`org`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `org`
-- 

CREATE TABLE IF NOT EXISTS `org` (
  `sid` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `country` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `region` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `address` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `zip` varchar(10) collate utf8_unicode_ci NOT NULL default '',
  `city` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `industry` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `mod_date` datetime NOT NULL default 0,
  `mod_by` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `valid_from` date NOT NULL default 0,
  `valid_to` date NOT NULL default 0,
  `sla_name` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `sn` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`sid`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `reg`
-- 

CREATE TABLE IF NOT EXISTS `reg` (
  `sid` int(11) NOT NULL default 0,
  `uid` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `subject` varchar(255) character set utf8 collate utf8_unicode_ci NOT NULL default '',
  `description` text character set utf8 collate utf8_unicode_ci NOT NULL default '',
  `time1` datetime NOT NULL default 0,
  `cur_status` int(11) NOT NULL default 0,
  `ID` varchar(20) collate utf8_unicode_ci NOT NULL default '',
  `time2` datetime NOT NULL default 0,
  `assigned_to` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `total_time` double NOT NULL default 0,
  `due_to` datetime NOT NULL default 0,
  `priority` int(11) NOT NULL default 0,
  `nu` int(11) NOT NULL default 0,
  `ticket_type` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `ticket_group` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `channel` varchar(20) collate utf8_unicode_ci NOT NULL default '',
  `nusers` int(11) NOT NULL default 0,
  `product` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `ca1` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `ca2` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `ca3` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `ca4` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `ca5` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `fn1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `fn1size` int(11) NOT NULL default 0,
  `org` int(11) NOT NULL default 0,
  `sla_id` int(11) NOT NULL default 0,
  `escalated1` int(11) NOT NULL default 0,
  `escalated2` int(11) NOT NULL default 0,
  `notified` int(11) NOT NULL default 0,
  `modified_by` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `department` varchar(30) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`sid`,`ID`),
  KEY `org` (`org`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `reg_log`
-- 

CREATE TABLE IF NOT EXISTS `reg_log` (
  `sid` int(11) NOT NULL default 0,
  `row_id` INT NOT NULL AUTO_INCREMENT ,
  `tid` varchar(20) collate utf8_unicode_ci NOT NULL default '',
  `uid` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `note` longtext collate utf8_unicode_ci NOT NULL default '',
  `time1` datetime NOT NULL default 0,
  `private` int(11) NOT NULL default 0,
  `time_spent` double NOT NULL default 0,
  `fn1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `fn1size` varchar(100) collate utf8_unicode_ci NOT NULL default '' default '0',
  PRIMARY KEY  (`sid`,`row_id`),
  KEY `tid` (`tid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `site`
-- 

CREATE TABLE IF NOT EXISTS `site` (
  `sid` int(11) NOT NULL default 0,
  `sname` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `sstartdate` date NOT NULL default 0,
  `sactive` int(11) NOT NULL default 0,
  `smtp_host` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `smtp_username` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `smtp_pwd` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `sender_addr` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `sender_name` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `replyto_addr` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `nw_subscribe` int(11) NOT NULL default 0,
  `time_format` varchar(30) collate utf8_unicode_ci NOT NULL default '' default 'Y-m-d',
  `longtime_format` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `allow_comments` int(11) NOT NULL default 0,
  `require_approval` int(11) NOT NULL default 0,
  `allow_reg` int(11) NOT NULL default 0,
  `allow_login` int(11) NOT NULL default 0,
  `allow_kb` int(11) NOT NULL default 0,
  `allow_ticket` int(11) NOT NULL default 0,
  `allow_dl` int(11) NOT NULL default 0,
  `allow_search` int(11) NOT NULL default 0,
  `allow_nw` int(11) NOT NULL default 0,
  `allow_fr` int(11) NOT NULL default 0,
  `ticket_types` text collate utf8_unicode_ci NOT NULL default '',
  `ticket_groups` text collate utf8_unicode_ci NOT NULL default '',
  `ticket_channels` text collate utf8_unicode_ci NOT NULL default '',
  `ca_active1` int(11) NOT NULL default 0,
  `ca_lvl1` int(11) NOT NULL default 0,
  `ca_man1` int(11) NOT NULL default 0,
  `ca_type1` int(11) NOT NULL default 0,
  `ca_lbl1` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `ca_vals1` text collate utf8_unicode_ci NOT NULL default '',
  `ca_dflt1` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `ca_regex1` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `ca_active2` int(11) NOT NULL default 0,
  `ca_lvl2` int(11) NOT NULL default 0,
  `ca_man2` int(11) NOT NULL default 0,
  `ca_type2` int(11) NOT NULL default 0,
  `ca_lbl2` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `ca_vals2` text collate utf8_unicode_ci NOT NULL default '',
  `ca_dflt2` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `ca_regex2` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `ca_active3` int(11) NOT NULL default 0,
  `ca_lvl3` int(11) NOT NULL default 0,
  `ca_man3` int(11) NOT NULL default 0,
  `ca_type3` int(11) NOT NULL default 0,
  `ca_lbl3` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `ca_vals3` text collate utf8_unicode_ci NOT NULL default '',
  `ca_dflt3` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `ca_regex3` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `ca_active4` int(11) NOT NULL default 0,
  `ca_lvl4` int(11) NOT NULL default 0,
  `ca_man4` int(11) NOT NULL default 0,
  `ca_type4` int(11) NOT NULL default 0,
  `ca_lbl4` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `ca_vals4` text collate utf8_unicode_ci NOT NULL default '',
  `ca_dflt4` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `ca_regex4` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `ca_active5` int(11) NOT NULL default 0,
  `ca_lvl5` int(11) NOT NULL default 0,
  `ca_man5` int(11) NOT NULL default 0,
  `ca_type5` int(11) NOT NULL default 0,
  `ca_lbl5` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `ca_vals5` text collate utf8_unicode_ci NOT NULL default '',
  `ca_dflt5` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `ca_regex5` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `ca_len1` int(11) NOT NULL default 0,
  `ca_len2` int(11) NOT NULL default 0,
  `ca_len3` int(11) NOT NULL default 0,
  `ca_len4` int(11) NOT NULL default 0,
  `ca_len5` int(11) NOT NULL default 0,
  `tm_server` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `tm_user` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `tm_pass` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `tm_server_port` int(11) NOT NULL default 0,
  `newticket_mail` text collate utf8_unicode_ci NOT NULL default '',
  `tm_email` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `page_footer` text collate utf8_unicode_ci NOT NULL default '',
  `page_header` text collate utf8_unicode_ci NOT NULL default '',
  `lostpass_mail` text collate utf8_unicode_ci NOT NULL default '',
  `newreg_mail` text collate utf8_unicode_ci NOT NULL default '',
  `app_url` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `delete_log_after` int(11) NOT NULL default 0 default '7',
  `departments` text collate utf8_unicode_ci NOT NULL default '',
  `allow_departments` int(11) NOT NULL default 0,
  `vertical_menu` int(11) NOT NULL default 0,
  `visual_theme` varchar(20) collate utf8_unicode_ci NOT NULL default '',
  `chat_header` text collate utf8_unicode_ci NOT NULL default '',
  `prod_id` varchar(10) collate utf8_unicode_ci NOT NULL default '',
  `kb_search` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `kb_search_url` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `kb_search_img` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `contact_info` text collate utf8_unicode_ci NOT NULL default '',
  `allow_anon_fr` int(11) NOT NULL default 0,
  `chat_icon` varchar(20) collate utf8_unicode_ci NOT NULL default '',
  `vazi_od` date NOT NULL default 0,
  `vazi_do` date NOT NULL default 0,
  `show_lang` INT NOT NULL DEFAULT '1',
  PRIMARY KEY  (`sid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `site` VALUES (1, 'Support site', '2001-01-01', 1, '', '', '', '', 'SupportPortal', '', 1, 'm/d/Y', 'm/d/Y H:i:s', 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 'Service Request\r\nFault\r\nTechnical Incident\r\nHelp/Assistance', 'Move/Add/Change to system\r,Password reset\r,Add new user\r,Request for documentation\r\nPrinter not printing\r,System down\r,Automatic alert\r,Application bug\r\nDisk-usage threshold exceeded\r,Automatic alert\r\nRequest for information\r,Assistance using application\r\n', 'Email\r\nWeb\r\nPhone', 0, 1, 1, 4, 'Who are you', '', '', 'reg', 0, 1, 0, 1, 'Name:', '', 'default', '', 0, 1, 0, 3, 'Check:', '', '', '', 0, 1, 1, 2, 'Address:', '', '', '', 0, 1, 0, 1, '', '', '', '', 40, 80, 0, 80, 0, '', '', '', 110, '<p>Your new support request is successfully submited.You will be notified by email (%EMAIL%) when someone replies.</p><hr><table cellpadding="5"><tr><td>Ticket ID:</td><td>%ID%</td></tr><tr><td>Subject:</td><td>%SUBJECT%</td></tr><tr><td>Description:</td><td>%_DESC%</td></tr></table><hr><p>To check ticket status, go to <a href="%URL%">%URL%</a> .</p><hr>', '', '<hr>', '<img src="ico/sdesk2.png">\r\n', 'Your username:%UID%<br>password:%PWD%', '<center>Thanks for registering at %SITE%!<br>Your login is: %UID%<br>Password: %PWD%<br>Login page: <a href="%LOGIN_URL%">%LOGIN_URL%</a><p>You can change your password in MyProfile tab.', '', 7, '', 1, 0, 'default','','','','','','',0,'',now(),date_add(now(), interval 29 day), 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `sla`
-- 

CREATE TABLE IF NOT EXISTS `sla` (
  `sid` int(11) NOT NULL default 0,
  `org` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  `prod` varchar(100) NOT NULL default '',
  `type` varchar(100) NOT NULL default '',
  `group` varchar(100) NOT NULL default '',
  `priority` int(11) NOT NULL default 0,
  `deadline` int(11) NOT NULL default 0,
  `assign_to` varchar(100) NOT NULL default '',
  `escalate_before` int(11) NOT NULL default 0,
  `escalate_before_to` varchar(100) NOT NULL default '',
  `escalate_after` int(11) NOT NULL default 0,
  `escalate_after_to` varchar(100) NOT NULL default '',
  `notify` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`sid`,`org`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `subdomains`
-- 

CREATE TABLE IF NOT EXISTS `subdomains` (
  `sid` int(11) NOT NULL default 0,
  `name` varchar(100) collate utf8_unicode_ci NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `td`
-- 

CREATE TABLE IF NOT EXISTS `td` (
  `sid` int(11) NOT NULL default 0,
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `completed` int(11) NOT NULL default 0,
  `d` datetime NOT NULL default 0,
  `uid` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`sid`,`id`),
  KEY `uid` (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `usr`
-- 

CREATE TABLE IF NOT EXISTS `usr` (
  `sid` int(11) NOT NULL default 0,
  `org` int(11) NOT NULL default 0,
  `uname` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `upwd` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `ulvl` int(11) NOT NULL default 0,
  `ulang` varchar(20) collate utf8_unicode_ci NOT NULL default '',
  `addr` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `name` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `signature` text collate utf8_unicode_ci NOT NULL default '',
  `nu` int(11) NOT NULL default 0 default '1',
  `nw_time` datetime NOT NULL default 0,
  `reg_time` datetime NOT NULL default 0,
  `fr_time` datetime NOT NULL default 0,
  `department` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `manager_id` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `mobile` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `home_phone` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `work_phone` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `website` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `notes` text collate utf8_unicode_ci NOT NULL default '',
  `created_date` datetime NOT NULL default 0,
  `mod_date` datetime NOT NULL default 0,
  `mod_by` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `active` int(11) NOT NULL default 0,
  `pass_expire_date` date NOT NULL default 0,
  `pass_change_allowed` int(11) NOT NULL default 0,
  `pass_changeonlogon` int(11) NOT NULL default 0,
  `address` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `valid_from` date NOT NULL default 0,
  `valid_to` date NOT NULL default 0,
  `chat_greeting` text collate utf8_unicode_ci NOT NULL default '',
  `fr_nick` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`sid`,`uname`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `visits`
-- 

CREATE TABLE IF NOT EXISTS `visits` (
  `sid` int(11) NOT NULL default 0,
  `d` date NOT NULL default 0,
  `n` int(11) NOT NULL default 0,
  PRIMARY KEY  (`sid`,`d`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


DELETE FROM `cfg`;
INSERT INTO `cfg` VALUES (1);

INSERT INTO `usr` VALUES (1, 0, 'admin', 'admin', 5, 'English', '', 'Administrator', '<br>\r\nRegards,<br>', 1, '2007-09-04 09:39:56', '2007-10-03 14:02:10', '2007-10-03 14:02:10', '', '', '', '', '', '', '', '0000-00-00 00:00:00', '2007-10-01 11:01:13', '', 1, '0000-00-00', 1, 0, '', '0000-00-00', '0000-00-00','Hi, how can I help you?','');

